Logistics
Update Delivery Stop
PATCH
/
api
/
v1
/
logistics
/
deliveries
/
{delivery_id}
/
stops
/
{stop_id}
Update Delivery Stop
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops/{stop_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subLabel": "<string>",
"stopType": "<string>",
"state": "<string>",
"plannedAt": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops/{stop_id}"
payload = {
"name": "<string>",
"subLabel": "<string>",
"stopType": "<string>",
"state": "<string>",
"plannedAt": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subLabel: '<string>',
stopType: '<string>',
state: '<string>',
plannedAt: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops/{stop_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"stopOrder": 123,
"name": "<string>",
"stopType": "<string>",
"state": "<string>",
"subLabel": "<string>",
"plannedAt": "<string>",
"actualAt": "<string>",
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Previous
Arrive Delivery StopMark a stop as arrived (state='done'), advance the next stop to 'current',
and recompute the delivery status from all stop states.
Next
⌘I
Update Delivery Stop
